Bug 817985 - When creating scaled app, the gear size specified with -g option is not respected
When creating scaled app, the gear size specified with -g option is not respe...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 20:57 EDT by Krishna Raman
Modified: 2015-05-14 21:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:22:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krishna Raman 2012-05-01 20:57:13 EDT
Description of problem:
When creating scaled app, the gear size specified with -g option is not respected

Version-Release number of selected component (if applicable):


How reproducible:
When creating scaled app, the gear size specified with -g option is not respected

Steps to Reproduce:
1. Create a app with -g medium and -s flags
  
Actual results:
App is created on a "std" gear

Expected results:
2. App is created on a "lg" gear

Additional info:
Comment 2 Krishna Raman 2012-05-02 16:53:29 EDT
https://github.com/openshift/os-client-tools/pull/13
Comment 3 Xiaoli Tian 2012-05-03 05:12:19 EDT
Checked on the latest devenv_1752 with the latest client rhc-0.92.3, it still not works, but it still does not work.

      <name>scalephp</name>
      <app-url>http://scalephp-domx015.dev.rhcloud.com/</app-url>
      <git-url>ssh://e16cab56db7740d4968a06545eb211b2@scalephp-domx015.dev.rhcloud.com/~/git/scalephp.git/</git-url>
      <gear-profile>small</gear-profile>
      <domain-id>domx015</domain-id>
      <scalable>true</scalable>


In the end, found the latest client has not included your change, will wait for the next version.
Comment 4 Xiaoli Tian 2012-05-07 02:41:11 EDT
Verified this on devenv_1757 with rhc-0.92.5-1.el6_2.noarch, it created scaling app with -g medium successfully and gear profile is medium as well.  

#rhc app create --app scalephp1 --type php-5.3 -g medium --scaling -p 123456
Creating application: scalephp1 in domx017
Now your new domain name is being propagated worldwide (this might take a minute)...
Warning: Permanently added 'scalephp1-domx017.dev.rhcloud.com,23.21.38.176' (RSA) to the list of known hosts.
Confirming application 'scalephp1' is available:  Success!

scalephp1 published:  http://scalephp1-domx017.dev.rhcloud.com/
git url:  ssh://42407dfc7eb348689c759cb0eb4d9c51@scalephp1-domx017.dev.rhcloud.com/~/git/scalephp1.git/
Successfully created application: scalephp1

<?xml version="1.0" encoding="UTF-8"?>
<response>
  <supported-api-versions>
    <supported-api-version>1.0</supported-api-version>
  </supported-api-versions>
  <status>ok</status>
  <data>
    <application>
      <framework>php-5.3</framework>
      <git-url>ssh://42407dfc7eb348689c759cb0eb4d9c51@scalephp1-domx017.dev.rhcloud.com/~/git/scalephp1.git/</git-url>
      <uuid>42407dfc7eb348689c759cb0eb4d9c51</uuid>
      <app-url>http://scalephp1-domx017.dev.rhcloud.com/</app-url>
      <aliases/>
      <gear-profile>medium</gear-profile>
      <health-check-path>health_check.php</health-check-path>
      <name>scalephp1</name>
      <embedded>
        <haproxy-1.4>
          <info></info>
        </haproxy-1.4>
      </embedded>
      <creation-time>2012-05-07T02:04:31-04:00</creation-time>

Note You need to log in before you can comment on or make changes to this bug.